<?php
namespace Eyepin\Eyepin6\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Ingrid Stürmer <i.stuermer@chilischarf.at>, chiliSCHARF
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package eyepin6
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Eyepin extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {
	
	protected $eyepinid;
	protected $newsid;
	
	/**
	 * Sets the eyepinid
	 *
	 * @param string $eyepinId
	 * @return void
	 */
	public function setEyepinid($eyepinId){
		$this->eyepinid = $eyepinId;
	}
	
	/**
	 * Returns the eyepinid
	 *
	 * @return string $eyepinid
	 */
	public function getEyepinid(){
		return $this->eyepinid;
	}
	
	/**
	 * Sets the newsid
	 *
	 * @param string $newsId
	 * @return void
	 */
	public function setNewsid($newsId){
		$this->newsid = $newsId;
	}
	
	/**
	 * Returns the newsid
	 *
	 * @return string $newsid
	 */
	public function getNewsid(){
		return $this->newsid;
	}
	

}
?>