<?php
/*
require_once (PATH_t3lib.'class.t3lib_page.php');
require_once (PATH_t3lib.'class.t3lib_tstemplate.php');
require_once (PATH_t3lib.'class.t3lib_tsparser_ext.php');
*/
class Tx_Eyepin_Controller_AddItemsToFlexform extends Tx_Extbase_MVC_Controller_ActionController {
	
	/**
	* @var array
	*/
	private $conf;
	
	function mainAction($params, $conf){
	    
		$pid = $params["row"]["pid"];
		$this->loadTS($pid);
		
		require_once(t3lib_extMgm::extPath('eyepin6', 'Classes/Utility/Connect.php'));
		
		$var = $this->settings;
		
		$objectManager = t3lib_div::makeInstance('Tx_Extbase_Object_ObjectManager'); 
		
		$eyepinConnection = $objectManager->get('Eyepin\\Eyepin6\\Utility\\Connect');
		
		$eyepinConnection->setHost($this->conf['eyepinHost']);
		$eyepinConnection->setUsername($this->conf['eyepinUser']);
		$eyepinConnection->setPassword($this->conf['eyepinPassword']);
		
		$xmlData = '<getaccountinfo />';

		$xmlstring = $eyepinConnection->sendRequest('getaccountinfo', $xmlData);
		
		$xml = simplexml_load_string($xmlstring, null, LIBXML_NOCDATA);
		$json = json_encode($xml);
		$array = json_decode($json,TRUE);
		
		$account1 = $array['data']['account']['customers']['customer']['0']['@attributes']['id'];
		$account2 = $array['data']['account']['customers']['customer']['1']['@attributes']['id'];
			
		for($i = 0; $i < count($array['data']['account']['customers']['customer']); $i++){
			$params['items'][] = array( $array['data']['account']['customers']['customer'][$i]['name'], $array['data']['account']['customers']['customer'][$i]['@attributes']['id']);
		}
		
		asort($params['items']); 
		
	    return $params; 
	}    
	
	/**
	 * load TypoScript Configuration
	 * @param int $pageUid
	 */
	private function loadTS($pageUid) {
		$sysPageObj = t3lib_div::makeInstance('t3lib_pageSelect');
		$rootLine = $sysPageObj->getRootLine($pageUid);
		$TSObj = t3lib_div::makeInstance('t3lib_tsparser_ext');
		$TSObj->tt_track = 0;
		$TSObj->init();
		$TSObj->runThroughTemplates($rootLine);
		$TSObj->generateConfig();
		$this->conf =
		$TSObj->setup['plugin.']['tx_eyepin6.']['settings.'];
	}
	
}