<?php

class Tx_Eyepin6_Finisher_SendSubscribe extends Tx_Formhandler_AbstractFinisher {

    /**
     * The main method called by the controller
     * Fuction called by Formhandler on sending form
     *
     * @return array The probably modified GET/POST parameters
     */
    public function process() {

   	 	if ($this->gp['newsletter']) {
			
   	 		//id of actual page
			$pageId = $GLOBALS['TSFE']->id;
			
			//get typoscript configuration of eyepin extension
			$sysPageObj = t3lib_div::makeInstance('t3lib_pageSelect');
			$rootLine = $sysPageObj->getRootLine($pageId);
			$TSObj = t3lib_div::makeInstance('t3lib_tsparser_ext');
			$TSObj->tt_track = 0;
			$TSObj->init();
			$TSObj->runThroughTemplates($rootLine);
			$TSObj->generateConfig();
			$this->eyepinConf = $TSObj->setup['plugin.']['tx_eyepin6.']['settings.'];
				
			//mapping form paramters - data array
    		foreach($this->eyepinConf['mapping.'] as $key => $value){
			
				if($this->gp[$key]){
					$data[$value] = $this->gp[$key];
				}
				else{
					$data[$value] = "";
				}
				
			}
			
			$data['newsletterformat'] = 'html';
			$data['handleoptin'] = '1';
			$data['handleoptout'] = '';
			$data['status'] = '1';
			
			//if newsletter is selected, send subscription to eyepin
			if($data['newsletter']){
				
				
				//send newsletter subscription to eyepin
					
				$objectManager = t3lib_div::makeInstance('Tx_Extbase_Object_ObjectManager'); 
			
				//establish eyepin connection
				$eyepinConnection = $objectManager->get('Eyepin\\Eyepin6\\Utility\\Connect');
				
				$newObject = new Eyepin\Eyepin6\Utility\Connect;
				
				$eyepinConnection->setHost($this->eyepinConf['eyepinHost']);
				$eyepinConnection->setUsername($this->eyepinConf['eyepinUser']);
				$eyepinConnection->setPassword($this->eyepinConf['eyepinPassword']);
				
				$customerId = $this->eyepinConf['mandant'];	
				
				//send subscription to eyepin
				$connectionResult = $eyepinConnection->sendCommand('AddressInsert', $customerId, $data);
			}

		}
		
    	return $this->gp;
    	
   }
    
}

?> 
