<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Pi1',
	'eyepin® Newsletter Subscription Form'
);

// Aktivierung Flexforms im Backend
$extensionName = t3lib_div::underscoredToUpperCamelCase($_EXTKEY);
$pluginSignature_Pi1 = strtolower($extensionName) . '_pi1';

if (TYPO3_MODE === 'BE') {

	/**
	 * Registers a Backend Module
	 */
	
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'Eyepin.' . $_EXTKEY,
		'web',	 // Make module a submodule of 'web'
		'newsexport',	// Submodule key
		'',						// Position
		array(
			'Eyepin' => 'newslist, process',
		),
		array(
			'access' => 'user,group',
			'icon'   => 'EXT:' . $_EXTKEY . '/ext_icon.gif',
			'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang.xlf',
		)
	);

	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses'][$pluginSignature_Pi1 . '_wizicon'] = t3lib_extMgm::extPath($_EXTKEY) . 'Resources/Private/Php/class.' . $_EXTKEY . '_wizicon.php';

}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'eyepin6');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_eyepin6_domain_model_eyepin', 'EXT:eyepin6/Resources/Private/Language/locallang_csh_tx_eyepin6_domain_model_eyepin.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_eyepin6_domain_model_eyepin');
$TCA['tx_eyepin6_domain_model_eyepin'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:eyepin6/Resources/Private/Language/locallang.xlf:tx_eyepin6_domain_model_eyepin',
		'label' => 'uid',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => '',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Eyepin.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_eyepin6_domain_model_eyepin.gif'
	),
);

$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature_Pi1] = 'layout,select_key,recursive';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature_Pi1] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($pluginSignature_Pi1, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform_pi1.xml'); 

include_once(t3lib_extMgm::extPath($_EXTKEY).'/Classes/Flexform/Tx_Eyepin_Controller_AddItemsToFlexform.php');
include_once(t3lib_extMgm::extPath($_EXTKEY).'/Classes/Utility/Connect.php');

?>